local rInt = gkini.ReadInt
local rStr = gkini.ReadString

ledger.list = {}
ledger.notesid = 533437

ledger.filter = { 
	record = {
		guild   = {
			deposit = (rInt('Ledger', 'filter.record.guild.deposit', 1) == 1), 
			withdraw = (rInt('Ledger', 'filter.record.guild.withdraw', 1) == 1)
		},
		player  = {
			receive = (rInt('Ledger', 'filter.record.player.receive', 1) == 1), 
			send = (rInt('Ledger', 'filter.record.player.send', 1) == 1)
		},
		station = {
			buy = (rInt('Ledger', 'filter.record.station.buy', 1) == 1), 
			sell = (rInt('Ledger', 'filter.record.station.sell', 1) == 1)
		}, 
		ship    = {
			buy = (rInt('Ledger', 'filter.record.ship.buy', 1) == 1), 
			reload = (rInt('Ledger', 'filter.record.ship.reload', 1) == 1), 
			repair = (rInt('Ledger', 'filter.record.ship.repair', 1) == 1), 
			sell = (rInt('Ledger', 'filter.record.ship.sell', 1) == 1)
		},
	},
	view =   {
		-- ledger.viewer.filter:New() creates additional keys under this level.  'master' and numeric indices starting at 1
		date    = {ctl_type = 'list',   list = {'Pre-defined', 'Between', 'Outside of', 'Newer than', 'Older than'}},
		guild   = {ctl_type = 'toggle', list = {'Deposit', 'Withdraw'}},
		player  = {ctl_type = 'toggle', list = {'Receive', 'Send'}},
		station = {ctl_type = 'toggle', list = {'Buy', 'Sell'}},
		ship    = {ctl_type = 'toggle', list = {'Buy', 'Reload', 'Repair', 'Sell'}},
		type    = {ctl_type = 'toggle', list = {'Credit', 'Debit'}},
		reverse_lookup = {
			date    = {check = 1},
			guild   = {deposit = 1, withdraw = 2},
			player  = {receive = 1, send = 2},
			station = {buy = 1, sell = 2},
			ship    = {buy = 1, reload = 2, repair = 3, sell = 4},
			type    = {credit = 1, debit = 2},
		},
	},
}

ledger.format = {}
ledger.format.date = rStr('Ledger', 'format.date', "%Y-%m-%d %H:%M:%S")
ledger.format.fuzziness = rStr('Ledger', 'format.fuzziness', 'days')

ledger.vars = {}
ledger.vars.startcredits = rInt('Ledger', 'startcredits', 0)
ledger.vars.fontcolor = '\127ffffff'
ledger.vars.purchase_failed = false

ledger.vars.months = {'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'}

ledger.vars.bg = {
	[0] = "30 55 78 96",
	[1] = "42 74 96 96",
	[2] = "65 100 127 255",
	[3] = "0 0 0",
	[4] = "100 100 100",
}

ledger.vars.header = {
	time   = {1, 'Time',   'ALEFT'}, 
	reason = {2, 'Reason', 'ALEFT'}, 
	type   = {3, 'Type',   'ACENTER'}, 
	amount = {4, 'Amount', 'ARIGHT'}, 
	notes  = {5, 'Notes',  'ALEFT'}, 
}
ledger.vars.header_reverse = {'time', 'reason', 'type', 'amount', 'notes'}









ledger.vars.shiplist = {
	['EC-88'] = true,
	['EC-89'] = true,
	['EC-98'] = true,
	['EC-101'] = true,
	['Axia EC-101 MkII'] = true,
	['Valent EC-101 Type B'] = true,
	['EC-104'] = true,
	['EC-107'] = true,
	['Centurion'] = true,
	['Centurion MkII'] = true,
	['Centurion MkIII'] = true,
	['Itani Border Guardian'] = true,
	['Orion Rev C'] = true,
	['Corvus Centurion Superlight'] = true,
	['Vulture'] = true,
	['Vulture MkII'] = true,
	['Vulture MkIII'] = true,
	['Vulture MkIV'] = true,
	['Vulture - Anniversary Edition'] = true,
	['Serco Vulture Guardian'] = true,
	['Corvus Vulturius'] = true,
	['Corvus Vulturius - Anniversary Edition'] = true,
	['BioCom Vulture XT'] = true,
	['TPG Raptor'] = true,
	['TPG Raptor Mark II'] = true,
	['Atlas'] = true,
	['Atlas Mk II'] = true,
	['Atlas Mk III'] = true,
	['TPG Atlas B'] = true,
	['TPG Atlas X'] = true,
	['Hornet'] = true,
	['Hornet MkII'] = true,
	['Hornet MkIII'] = true,
	['Orion Hornet Convoy Guardian'] = true,
	['Warthog'] = true,
	['Warthog MkII'] = true,
	['Warthog MkIII'] = true,
	['Warthog MkIV'] = true,
	['Warthog Mineral Extractor'] = true,
	['Warthog Territorial Defender'] = true,
	['Corvus Greyhound'] = true,
	['Revenant'] = true,
	['Revenant MkII'] = true,
	['Revenant MkIII'] = true,
	['Axia Guardian Wraith'] = true,
	['Behemoth'] = true,
	['Aeolus Behemoth Light'] = true,
	['TPG Behemoth XC'] = true,
	['Behemoth Heavy Miner'] = true,
	['Behemoth Heavy Miner MkII'] = true,
	['Centaur'] = true,
	['Centaur MkII'] = true,
	['Centaur MkIII'] = true,
	['Tunguska Centaur Aggresso'] = true,
	['Ragnarok'] = true,
	['Ragnarok MkII'] = true,
	['Ragnarok MkIII'] = true,
	['UIT Marauder'] = true,
	['Axia Marauder MkII'] = true,
	['TPG Marauder B'] = true,
	['TPG Marauder X'] = true,
	['Corvus Marauder Mercenary'] = true,
	['Tunguska Mineral Marauder'] = true,
	['Valent Marauder Rev B'] = true,
	['Serco Prometheus'] = true,
	['Serco Prometheus MkII'] = true,
	['Serco Prometheus MkIII'] = true,
	['Serco SkyCommand Prometheus'] = true,
	['Itani Valkyrie'] = true,
	['Valkyrie Vengeance'] = true,
	['Valkyrie Rune'] = true,
	['IDF Valkyrie Vigilant'] = true,
	['Valkyrie X-1'] = true,
}
